export declare class Pool<T, O = any> {
    readonly factory: new (options?: O) => T;
    options?: O | undefined;
    constructor(factory: new (options?: O) => T, options?: O | undefined);
    private _items;
    get size(): number;
    set size(value: number);
    get(): T;
    add(item: T): this;
}
